$table-devider-size: 12px;

.table-scoresheet-input {
  position: relative;
  margin-top: 15px;
  @include _align-flex(stretch, flex-start, column);

  header {
    @include _align-flex(center, flex-start, row);
    margin-bottom: 2px;

    border-bottom: 2px solid $color_greydark;
    @include _font-paragraph('bold', $color-paragraph);
    @include _font-size($font-size-table);
  }

  .game {
    position: relative;
    width: 100%;
    height: $navbar-height;
    margin: 0 0 2px 0;
    padding: 0 5px;
    @include _align-flex(center, flex-start, row);
    @include _transition(all);

    background: $color-white;
    opacity: .85;
    text-align: center;
    @include _font-paragraph('regular', $color-paragraph);
    @include _font-size($font-size-table);

    &.-active {
      opacity: 1;

      &:before {
        content: '';
        position: absolute;
        left: -3px;
        top: 0;
        width: 3px;
        height: 100%;
        background: $color_hint;
      }
    }

    .set:after {
      order: 2;
      content: ':';
      margin: 0 2px;
      @include _font-size($font-size-4);
    }
  }

  .label-home,
  .label-guest {
    text-align: center;
  }

  .set {
    position: relative;
    margin: 0;
    padding: 0;
    @include _align-flex(center, center, row);

    > div {
      flex: 1;
    }

    select {
      @include _reset-glow();
      height: 50px;
      width: 100%;
      padding: 0 5px;
      vertical-align: middle;
      appearance: none;

      border: 0;
      border-bottom: 1px solid lighten($color_grey, 4%);
      border-radius: 0;

      background: lighten($color_grey, 4%);
      @include _font-score($color-paragraph);
      @include _font-size($font-size-3);

      @include _respond-to(tablets, desktops) {
        padding: 0 15px;
      }

      &[value="0"] {
        color: red;
      }
    }
  }

  // grid
  // ----------------------
  .index,
  .label-devider {
    flex: 0 0 $table-devider-size;
  }

  .label-home,
  .label-guest {
    flex: 0 0 calc(28% - #{$table-devider-size});
  }

  .set {
    flex: 0 0 calc(22% - #{$table-devider-size/2});
  }

  .score-home-1,
  .score-home-2 {
    order: 1;
  }

  .score-guest-1,
  .score-guest-2 {
    order: 3;
  }

}